# Method: projects.locations.global.connectivityTests.list

- [HTTP request](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1/projects.locations.global.connectivityTests/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1/projects.locations.global.connectivityTests/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1/projects.locations.global.connectivityTests/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1/projects.locations.global.connectivityTests/list#body.request_body)
- [Response body](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1/projects.locations.global.connectivityTests/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1/projects.locations.global.connectivityTests/list#body.ListConnectivityTestsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1/projects.locations.global.connectivityTests/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1/projects.locations.global.connectivityTests/list#try-it)

Lists all Connectivity Tests owned by a project.

### HTTP request

`GET https://networkmanagement.googleapis.com/v1/{parent=projects/*/locations/global}/connectivityTests`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource of the Connectivity Tests: `projects/{projectId}/locations/global` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `networkmanagement.connectivitytests.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Number of `ConnectivityTests` to return. |
| `pageToken` | `string` Page token from an earlier query, as returned in `nextPageToken`. |
| `filter` | `string` Lists the `ConnectivityTests` that match the filter expression. A filter expression filters the resources listed in the response. The expression must be of the form `<field> <operator> <value>` where operators: `<`, `>`, `<=`, `>=`, `!=`, `=`, `:` are supported (colon `:` represents a HAS operator which is roughly synonymous with equality). can refer to a proto or JSON field, or a synthetic field. Field names can be camelCase or snake_case. Examples: - Filter by name: name = "projects/proj-1/locations/global/connectivityTests/test-1 - Filter by labels: - Resources that have a key called `foo` labels.foo:\* - Resources that have a key called `foo` whose value is `bar` labels.foo = bar |
| `orderBy` | `string` Field to use to sort the list. |

### Request body

The request body must be empty.

### Response body

Response for the `connectivityTests.list` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "resources": [ { object (`https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1/projects.locations.global.connectivityTests#ConnectivityTest`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `resources[]` | ``object (`https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1/projects.locations.global.connectivityTests#ConnectivityTest`)`` List of Connectivity Tests. |
| `nextPageToken` | `string` Page token to fetch the next set of Connectivity Tests. |
| `unreachable[]` | `string` Locations that could not be reached (when querying all locations with `-`). |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).